[workspace]
resolver = "2"
members = [
    "crates/xtrain-cuda",
    "crates/xtrain-tensor",
    "crates/xtrain-autodiff",
    "crates/xtrain-model",
    "crates/xtrain-optim",
    "crates/xtrain-train",
    "crates/xtrain-distributed",
]

[workspace.package]
version = "0.1.0"
edition = "2024"
license = "MIT"

[workspace.dependencies]
half = "2"
smallvec = "1"
